# FormsContainer

## Implementation Details

> **Component Selector:** 'wm-formscontainer'

## PME Support

### Properties

| Property                                            | Get/Set | Notify Changes | Details                                                                                  |
| --------------------------------------------------- | ------- | -------------- | ---------------------------------------------------------------------------------------- |
| openedComponents: { \[id: string]: ComponentRef\ }; | No      | No             | Contains the opened components that are being displayed by the FormsContainer component. |

### Methods

| Method                 | Supported | Details                                                                                  |
| ---------------------- | --------- | ---------------------------------------------------------------------------------------- |
| loadComponent          | Yes       | Renders a form component inside the FormsContainer component.                            |
| bringToFront           | Yes       | Moves to top view the form with the route `url` passed as parameter.                     |
| disposeComponent       | Yes       | Removes an existing form component from the FormsContainer.                              |
| navigateToForm         | Yes       | Receives a form ID and navigates to that form.                                           |
| navigateToSystemDialog | Yes       | Receives dialog data `{dialog, arguments}` and displays a new instance of system dialog. |

### Events

| Event               | Supported | Parameter | Details |
| ------------------- | --------- | --------- | ------- |
| No events supported |           |           |         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/base-components/components/formscontainer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
